% Constants

Cp_water = 4181;                                                %[J/kg K]
m_ht = 350;                                                     %[kg]
T_amb = 20;                                                     %[C]
A_surf = 3.2;                                                   %[m^2]
U = 0.8;                                                        %[W/m^2 K]
year = 31618800;
day = 86400;

load daily_cons

run chahw

figure(1)
plot(tank_temp.time/3600,tank_temp.signals.values)
legend('Winter','Spring','Summer',2)
xlabel('Time [h]')
ylabel('Temperaure [C^{\circ}]')
title('Tank temperature curve')
set(gca,'XTick',0:2:24)
saveas(gcf,'tank_temp.fig')
saveas(gcf,'tank_temp.eps')

figure(2)
plot(heat_demand_mCHP.time/3600,heat_demand_mCHP.signals.values)
legend('Winter','Spring','Summer',2)
xlabel('Time [h]')
ylabel('Heat [W]')
title('Heat demand from mCHP')
set(gca,'XTick',0:2:24)
saveas(gcf,'heat_demand_mCHP.fig')
saveas(gcf,'heat_demand_mCHP.eps')